using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class TemplateManager {
	private static List<GameObject> EVAs = new List<GameObject>();
	private static List<GameObject> chars = new List<GameObject>();

	public static void init(Transform templates) {
		chars.Add(templates.FindChild("Characters/char0").gameObject);
		EVAs.Add(templates.FindChild("EVAs/eva0").gameObject);
	}

	public static GameObject getChar(int i) {
		return chars[i];
	}

	public static GameObject getEVA(int i) {
		return EVAs[i];
	}
}
